-- name: [CS] Gwimbly
-- description: Ooo ooo ooo!
--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md
]]

local E_MODEL_GWIMBLY_MODEL = smlua_model_util_get_id("gwimbly_geo")

local TEXT_MOD_NAME = "Gwimbly Pack"

local CAPTABLE_GWIMBLY = {
    normal = smlua_model_util_get_id("gwimblys_cap_geo")
}

local VOICETABLE_GWIMBLY = {
    [CHAR_SOUND_HERE_WE_GO] = 'ooh.ogg',
}

if _G.charSelectExists then
    _G.charSelect.character_add("Gwimbly", {"Ooo ooo ooo!"}, "Trashcam", {r = 255, g = 185, b = 139}, E_MODEL_GWIMBLY_MODEL, CT_MARIO, get_texture_info("gwimbly"))
    _G.charSelect.character_add_caps(E_MODEL_GWIMBLY_MODEL, CAPTABLE_GWIMBLY)

    _G.charSelect.character_add_voice(E_MODEL_GWIMBLY_MODEL, VOICETABLE_GWIMBLY)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_GWIMBLY then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_GWIMBLY then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end